Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005109 [JEDI VCL] 00 JVCL Components trivial always 2010-01-14 20:14 2011-06-10 16:10
Reporter dcabale View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.37
Summary 0005109: TJvCustomCsvDataSet.ClearFilter fires a memory leak
Description [TJvCustomCsvDataSet, TJvCsvDataSet]
procedure TJvCustomCsvDataSet.ClearFilter creates a BookMark, but does not free it.
Additional Information to solve this:

procedure TJvCustomCsvDataSet.ClearFilter; // Clear Previous Filtering.
var
  M: TBookmark;
begin
  M := GetBookmark;
  try
...
  finally
     FreeBookmark(M);
  end;
end;
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0017122)
obones (administrator)
2010-01-15 08:55

Please try using the very latest JVCL, I believe this is already fixed.
(0017126)
dcabale (reporter)
2010-01-15 11:39

Hi,
the latest JvCsvData Id (from latest JVCL) is JvCsvData.pas 12533 2009-10-02 08:59:22Z, and it is the same version as the one used by the test (where the bug has been state). Is this a sufficient proof or do I need to reinstall the whole JCL + JVCL latest versions, and make the test with them ?
(0017395)
AHUser (developer)
2010-05-16 15:29

Fixed in SVN revision 12773

- Issue History
Date Modified Username Field Change
2010-01-14 20:14 dcabale New Issue
2010-01-15 08:55 obones Note Added: 0017122
2010-01-15 08:55 obones Status new => feedback
2010-01-15 11:39 dcabale Note Added: 0017126
2010-05-16 15:29 AHUser Note Added: 0017395
2010-05-16 15:29 AHUser Status feedback => resolved
2010-05-16 15:29 AHUser Fixed in Version => Daily / SVN
2010-05-16 15:29 AHUser Resolution open => fixed
2010-05-16 15:29 AHUser Assigned To => AHUser
2011-06-10 16:10 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker